View Issue Details

IDProjectCategoryView StatusLast Update
0028687Open CASCADEOCCT:Modeling Algorithmspublic2021-09-04 16:53
ReporternbvAssigned Tosmoskvin  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Target Version7.6.0Fixed in Version7.6.0 
Summary0028687: Offset for open wire is built with incorrect direction
DescriptionIf the source wire is oriented correctly then the offset direction must be on the left side from the wire direction if offset value is negative and on the right side in case of positive offset value.

However, in some cases, this rule is not satisfied (see Steps To Reproduce).
Steps To Reproduce    CASE # 1 (test bugs modalg_6 bug26296_5):

restore [locate_data_file bug26296_linesarc.brep] a
vori a
openoffset res a 1 6. i
# See Case 1.PNG

    CASE # 2 (bugs modalg_5 bug25334_9):
restore [locate_data_file bug25334_faceProlongationCrash1.brep] a
explode a e
wire ww a_3 a_4
donly ww
vori ww
openoffset res ww 1 10
# See Case 2.PNG

    CASE # 3 (bugs modalg_5 bug25334_4):
restore [locate_data_file bug25334_faceProlongationCrash1.brep] a
explode a e
wire ww a_3
donly ww
vori ww
openoffset res ww 1 -10
# See Case 3.PNG
TagsNo tags attached.
Test case numberNot required

Attached Files

  • Case 1.PNG (14,601 bytes)
  • Case 2.PNG (12,856 bytes)
  • Case 3.PNG (13,028 bytes)

Relationships

related to 0028684 closedsmoskvin BRepOffsetAPI_MakeOffset produces wire with another orientation in compare with source wire 

Activities

nbv

2017-04-25 17:24

developer  

Case 1.PNG (14,601 bytes)

nbv

2017-04-25 17:24

developer  

Case 2.PNG (12,856 bytes)

nbv

2017-04-25 17:24

developer  

Case 3.PNG (13,028 bytes)

nbv

2017-04-25 17:46

developer   ~0065516

Cases ## 1 and 2 are reproduced on the current MASTER. Fix for the issue 0028677 solves this problem particularly. However, CASE # 3 is failed even after 0028677 will be fixed. The possible reason is in hard code in KPartCircle(...) function (see src\BRepFill\BRepFill_OffsetWire.cxx).

akaftasev

2021-08-18 19:40

developer   ~0103291

Current bug interdependent with 0028684

git

2021-08-26 14:34

administrator   ~0103440

Branch CR28687 has been created by andrey.kaftasev_159541.

SHA-1: c22ef7742ce08ffa2c8ce211f4a4d671f0a58adb


Detailed log of new commits:

Author: akaftasev
Date: Thu Aug 26 14:33:56 2021 +0300

    0028687: Offset for open wire is built with incorrect direction
    
    Added new condition to exclude offsetting non closed part of circle as complete circle

git

2021-08-26 16:58

administrator   ~0103441

Branch CR28687 has been updated forcibly by andrey.kaftasev_159541.

SHA-1: 3df243dfd95731d2eb5cf0e97efaaa5b69b35837

akaftasev

2021-08-27 10:41

developer   ~0103451

Branch for review:
OCCT - CR28687

Results of testing:
http://jenkins-test-occt.nnov.opencascade.com/view/CR28687-master-akaftasev/view/COMPARE/

git

2021-08-27 15:11

administrator   ~0103454

Branch CR28687 has been updated forcibly by andrey.kaftasev_159541.

SHA-1: 35084fe531f4b98d7384ced356b8e04d145d4ba6

jgv

2021-08-27 20:54

developer   ~0103464

Reviewed.

Branches for integration:
OCCT – CR28687
Products – NOT

jgv

2021-08-27 20:55

developer   ~0103465

Reviewing

smoskvin

2021-09-04 14:23

administrator   ~0103744

Combination -
OCCT branch : IR-2021-09-03
master SHA - f26ee38f2a309ffbf7de4eebbcef2c5a5c57d84e
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-09-03 SHA - 87cca1a8f3dd94387a936b9d49f5bd719c69cf4d
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17495.94000000042 / 17441.55000000031 [+0.31%]
Products
Total CPU difference: 11565.440000000113 / 11534.270000000102 [+0.27%]
Windows-64-VC14:
OCCT
Total CPU difference: 19307.140625 / 19200.421875 [+0.56%]
Products
Total CPU difference: 12917.859375 / 12874.53125 [+0.34%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-09-04 14:59

administrator   ~0103781

Branch CR28687 has been deleted by mnt.

SHA-1: 35084fe531f4b98d7384ced356b8e04d145d4ba6

Related Changesets

occt: master 7e187d6b

2021-08-26 11:33:56

akaftasev


Committer: smoskvin Details Diff
0028687: Offset for open wire is built with incorrect direction

Added new condition to exclude offsetting non closed part of circle as complete circle
Affected Issues
0028687
mod - src/BRepFill/BRepFill_OffsetWire.cxx Diff File
mod - tests/bugs/modalg_5/bug25334_1 Diff File
mod - tests/bugs/modalg_5/bug25334_2 Diff File
mod - tests/bugs/modalg_5/bug25334_3 Diff File
mod - tests/bugs/modalg_5/bug25334_4 Diff File

Issue History

Date Modified Username Field Change
2017-04-25 17:24 nbv New Issue
2017-04-25 17:24 nbv Assigned To => msv
2017-04-25 17:24 nbv File Added: Case 1.PNG
2017-04-25 17:24 nbv File Added: Case 2.PNG
2017-04-25 17:24 nbv File Added: Case 3.PNG
2017-04-25 17:46 nbv Note Added: 0065516
2017-07-24 09:22 msv Target Version 7.2.0 => 7.3.0
2017-12-05 17:01 msv Target Version 7.3.0 => 7.4.0
2019-08-12 16:37 msv Target Version 7.4.0 => 7.5.0
2020-09-14 22:56 msv Target Version 7.5.0 => 7.6.0
2021-07-05 11:12 szy Assigned To msv => akaftasev
2021-08-18 19:37 akaftasev Relationship added related to 0028684
2021-08-18 19:40 akaftasev Note Added: 0103291
2021-08-26 14:34 git Note Added: 0103440
2021-08-26 16:41 szy Status new => assigned
2021-08-26 16:58 git Note Added: 0103441
2021-08-27 10:41 akaftasev Note Added: 0103451
2021-08-27 10:41 akaftasev Assigned To akaftasev => jgv
2021-08-27 10:41 akaftasev Status assigned => resolved
2021-08-27 13:37 jgv Assigned To jgv => akaftasev
2021-08-27 13:37 jgv Status resolved => assigned
2021-08-27 15:11 git Note Added: 0103454
2021-08-27 17:44 akaftasev Assigned To akaftasev => jgv
2021-08-27 17:44 akaftasev Status assigned => resolved
2021-08-27 20:54 jgv Note Added: 0103464
2021-08-27 20:54 jgv Assigned To jgv => bugmaster
2021-08-27 20:54 jgv Status resolved => reviewed
2021-08-27 20:55 jgv Note Added: 0103465
2021-09-04 14:23 smoskvin Note Added: 0103744
2021-09-04 14:23 smoskvin Status reviewed => tested
2021-09-04 14:36 smoskvin Changeset attached => occt master 7e187d6b
2021-09-04 14:36 smoskvin Assigned To bugmaster => smoskvin
2021-09-04 14:36 smoskvin Status tested => verified
2021-09-04 14:36 smoskvin Resolution open => fixed
2021-09-04 14:59 git Note Added: 0103781
2021-09-04 16:53 smoskvin Test case number => Not required